## org.eclipse.amp.amf.testing.scoping
Class ATestImportResolver

    java.lang.Object
      org.eclipse.xtext.scoping.impl.ImportUriResolver
          org.eclipse.amp.amf.parameters.scoping.AParImportResolver
              org.eclipse.amp.amf.testing.scoping.ATestImportResolver

All Implemented Interfaces:
  com.google.common.base.Function<org.eclipse.emf.ecore.EObject,java.lang.String>

    public class ATestImportResolver

extends AParImportResolver

Author:
  mparker

Field Summary

Fields inherited from class org.eclipse.xtext.scoping.impl.ImportUriResolver
`IMPORT_URI_FEATURE`

Constructor Summary
`ATestImportResolver()`

Method Summary
`java.lang.String` `resolve(org.eclipse.emf.ecore.EObject object)`

Methods inherited from class org.eclipse.xtext.scoping.impl.ImportUriResolver
`apply, getAttribute, getAttributeName, getResolver, setAttributeName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.common.base.Function
`equals`

Constructor Detail

### ATestImportResolver

    public ATestImportResolver()

Method Detail

### resolve

    public java.lang.String resolve(org.eclipse.emf.ecore.EObject object)

  Overrides:
    `resolve` in class `AParImportResolver`
  Parameters:
    `object` -
  Returns:
  See Also:
    `ImportUriResolver.resolve(org.eclipse.emf.ecore.EObject)`